﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define q = Character(_("Qmin"), image="qmin", kind=nvl)
define qmin = Character(_("Q-Min"), image="qmin", kind=nvl)
define c = Character(_("GhostlyChloe"), image="chloe", kind=nvl, color="#4e85ff")
define narrator = Character(None, kind=nvl, what_color="#aaa")
define menu = nvl_menu

default comfort = 2

init python:

    def block():
        config.skipping = None
        renpy.checkpoint()
        renpy.block_rollback()
        renpy.retain_after_load()
        renpy.save_persistent()

    def get_endcount():
        endcount = 0
        if persistent.gfend:
            endcount += 1
        if persistent.kinkend:
            endcount += 1
        if persistent.vibeend:
            endcount += 1
        if persistent.badend:
            endcount += 1
        if persistent.normalend:
            endcount += 1

        return endcount

image movingheart:
    subpixel True
    "hearttile"
    alpha .75
    xoffset -17 yoffset -17
    linear 1.0 xoffset 0 yoffset 0
    repeat

image scrollinghearts = Composite(
    (1280, 720),
    (0, 0), "movingheart",
    (476, 0), "movingheart",
    (952, 0), "movingheart")

image bgcover2:
    "hearttile2"
    alpha .33
    easeout 2.0 alpha 1.0
    easein 2.0 alpha .33
    repeat
image bgcover ghost = Composite(
    (400,720),
    (0,0), "bgcover1",
    (0,0), "bgcover2")
# The game starts here.

label start:

    scene bg rooms
    show bgcover ghost at right
    show qmin stare at left
    with fade
    $ musicindex = 0
    $ ending = None
    $ review = []
    show screen mediaplayer()

label part1:
    $ block()
    call screen signon()
    $ block()
    call screen clientprofile(name=c.name, age=24, pronouns=_("she/her"), bio=_("idk what to put here ^^;"), icon="icon chloe")

    show qmin oh
    $ block()
    "Waiting on the client to join...{w=1.5}{nw}"
    $ comfort = 2
    $ kinktime = True
    $ newkink = False
    $ bookmarked = False
    $ secondchance = False
    hide bgcover with dissolve
    show chloe nervous at right with dissolve
    show qmin smile
    show screen comfortlevel()
    "Chloe has joined the chat."

    play sound audio.choose
    menu:
        c "hello?"
        "hi~":
            show screen reaction()
            $ comfort += 1
            q happy "hi~"
            $ greetnormal = True
        "welcome!":
            q happy "welcome!"
            $ greetnormal = True
        "hey bb ;)":
            show screen badreaction()
            $ comfort -= 1
            q coy "hey bb ;)"
            $ greetnormal = False

    c um "aaaaa hi"
    c "this is my first time"
    c kyaa "i mean like"
    c sweat "i've never used this type of service, so i don't know what to do honestly!"
    q aw "u nervous? ;)"
    c um "kinda!"
    c sorry "sorry"
    q smile "well no wrries, we casual here."
    show chloe nervous
    q "basically, we just chat about whatever you feel like chatting about"
    q "we don't have to get right into it"
    q happy "ask me questions and i'll answer them"
    q "like a chat bot haha"
    if greetnormal:
        c happy "nooo pls don't be a bot! lol"
        q aw "jk jk i'm real~"
    else:
        c happy "aaa i knew you were a bot! with all those winky faces lol"
        show screen reaction()
        $ comfort += 1
        q coy "beep boop u got me ;)"

    c oh "ummm so"
    show qmin stare
    c shy "i don't really have anything specific to ask i guess"
    c "or like"
    c sweat "nothing i could ask someone out of nowhere aaaa"
    q smile "that's fine!"
    show chloe nervous
    q "like i said, we can just chat first. no pressure."
    c smile "kk :)"
    c shy "idk what to chat about either tho..."

    play sound audio.choose
    menu:
        q think "how abouttt"
        "screen names":
            jump screennames
        "the rules":
            jump therules
        "time limit":
            jump timelimit

label screennames:
    show chloe oh
    q smile "our screen names? i think it's fun to share where they come from"
    c shy "oh mine's kinda boring"
    c smile "it's just my name, plus the fact i'm a ghost haha"
    c "how do you say yours?"
    q happy "it's like cumin"
    q "Q-min"
    c oh "oh!"
    show screen reaction()
    $ comfort += 1
    c happy "i was saying it like \"kwa-min\" in my head :)"
    q lol "Q!!! that's why it's capital!!!!!"
    c smile "if you write it \"Q-Min\" it might be more obvious"
    q coy "ok i'll change it for u"
    q "since i like you ;)"
    c shy "oh gosh haha you don't have to"
    qmin happy "there"
    c smile "you should have it how you want it!"
    c "it's YOUR name"
    qmin think "hmm"
    qmin smile "you're right ;)"
    q "back to normal"
    c happy "lol"

    $ review.append(_("Qmin was very friendly and easy to talk to from the start!"))
    jump part2

label therules:
    q smile "i can go over the rules for you, since you're new to this"
    c oh "aaa i read through them on the site, but"
    c smile "it's nice to have them explained in case i missed something..."
    c "i don't wanna mess up and get banned! haha"
    q coy "you'd have to try rly hard to get banned lol"
    q "like if you came in here and spammed \"boobies\" i'd just kick"
    q "not ban"
    c oh "...has that happened?"
    q smile "if it's slurs i report lol"
    q "but usually it's just some bored asshole looking for a reaction"
    q "i don't think they realize there's an actual person on the other end"
    show screen reaction()
    $ comfort += 1
    if greetnormal:
        c smile "aww"
    else:
        c happy "maybe if you didn't act like a bot :)"
        q lol "ERROR: CLIENT IS MEAN OT ME"
        q "to* omg"
        c smile "it's ok, a typo proves you're real!"
    q pout "anyway ppl get weird about ~adult services~"
    q ugh "like, a succubus offers sex advice and they start asking to ERP"
    q "bro that is not what this chat is for"
    c oh "gosh, that sounds stressful"
    q smile "nahh i get it"
    q "they're lonely and don't know where else to go"
    q "at least i can send them resources and links so they can find consenting partners"
    c happy "aaa you're a hero to them i'm sure!"
    q happy "lol"
    show chloe smile
    q smile "the point of my job is to improve people's sex lives!"
    q "not participate in it"
    q happy "anyway that's the main rule! don't treat me like a sex object and we're cool"
    c happy "of course!"
    c smile "i definitely did not come here for that haha"

    $ review.append(_("Qmin was very kind to me, and explained the rules very clearly."))
    jump part2

label timelimit:
    q coy "i see you paid for 2 hours~ that's a pretty long session"
    c um "is that weird?"
    c "i thought 1 hour would be too little time"
    q smile "nah, not weird at all"
    c shame "like what if i forget to ask something"
    c "or what if i learn something important when there's only 5 minutes left"
    c "and don't have time to ask more questions x_x"
    c sweat "i didn't want to feel rushed..."
    q aw "that makes sense :)"
    q "yknow we could've just extended the time on the fly"
    q smile "or scheduled another one later"
    c kyaa "oh... i didn't think of that"
    c sweat "it honestly took a lot of mental effort to prepare for THIS session"
    c "i think i would lose my courage if i had to plan a second one!"
    q aw "thus the single long session"
    q "i see i see"
    c shame "now i feel silly tho haha"
    q happy "nooo don't feel silly"
    q "i prefer longer sessions too"
    q smile "easier to connect with someone and meet their needs"
    q "i don't like feeling rushed either"
    show screen reaction()
    $ comfort += 1
    c happy "aaa good!"
    c smile "i guess we're on the same page then :)"
    q happy "yep yep"

    $ review.append(_("Qmin made me feel very at ease as soon as I entered the chat."))
    jump part2

label part2:
    show chloe smile
    q aw "so what did you come here for?"
    q "i'm curious, your vibes are so chaste"
    c um "i'm, ummm"
    c "TECHNICALLY a virgin"
    q coy "\"technically\""
    c kyaa "well i've been a ghost for 4 years!!!"
    show qmin stare
    c um "and before that i had only ever kissed someone"
    c "like"
    c shy "making out and stuff"
    c smile "but i have an online girlfriend"
    c "who i met through an RP community, so like"
    c "our characters had sex and stuff before we realized we liked each other"
    q aw "aww that's adorable"
    c sweat "so it's not like i don't know anything!"

    play sound audio.choose
    menu:
        c shame "it's just..."
        "rp is different from rl":
            q smile "rp is different from rl"
            show screen reaction()
            $ comfort += 1
            c moe "yeah ;_;"
            c "exactly..."
            $ review.append(_("I felt like she really understood my problems."))

        "*pat pat*":
            q smile "*pat pat*"
            c moe "thanks ;_;"
        "(let her type)":
            show screen badreaction()
            $ comfort -= 1
            c kyaa "aaa idk"
            c sorry "it's hard to talk about, i'm sorry, you must think i'm weird"
            q oops "nooo not at all"
            q "i just wanted to let you say everything you wanted to say before i cut in"
            show screen reaction()
            $ comfort += 1
            c moe "you're so nice, thank you ;_;"
            $ review.append(_("I was afraid she wouldn't understand my problems, but she was very patient with me!"))
            show qmin smile

    c shy "i think i'm just getting stressed out over nothing"
    c "like, my girlfriend loves me! so it doesn't matter if we can have sex for real or not"
    c shame "but we're planning a visit and"
    c "it's gonna be really nice! but..."
    c sorry "even though we're finally going to be in the same place, we still can't touch each other"

    $ ghostdildo = False

    play sound audio.choose
    menu:
        c "i don't know what i should do"
        "have you talked to her about it?":
            q stare "have you talked to her about it?"
            c shame "well..."
            c moe "it's come up before, but i don't think she really understands"
            jump part2b
        "sounds rough":
            q stare "sounds rough"
            c moe "i should be excited to see her, but i'm full of worries instead"
            jump part2b
        "get a ghost dildo lol":
            q coy "get a ghost dildo lol"
            show screen badreaction()
            $ comfort -= 1
            $ ghostdildo = True
            c kyaa "i don't think they make things like that!"
            q think "there's gotta be some kind of toy you can both feel"
            c woah "UM ////"
            c um "there really isn't..."
            q oh "oh, you looked into it already?"
            c kyaa "nevermind!!! omg"
            q think "well now i'm mega curious"
            q srs "about whether there's toys like that i mean"
            q "i'm gonna look some stuff up, so let's talk about other things in the meantime"
            c moe "sounds good!"
            jump part3

label part2b:
    c "i'd really like to be able to show my affection, physically"
    c shame "but i can't ;_;"
    c "so i need to find some kind of workaround..."
    c sweat "which is why i came to you ^^;"
    q think "hmm"
    q "tbh i don't know very much about ghosts"
    q srs "like, surely you're not the first person to have this problem"
    c nervous "right"
    q "i'm gonna start looking into this"
    q ugh "someone on the netherweb's gotta have some good tips on corporeal/incorporeal fucking"
    show screen reaction()
    $ comfort += 1
    c lol "Qmin!!! omg"
    q smile "we can keep chatting about other stuff in the meantime"
    q "just so ur not sitting here bored while i research lol"
    c nervous "aaa ok"

label part3:
    $ afterlife = False
    $ loveydovey = False
    $ fanfics = False
    play sound audio.choose
    menu:
        q think "uhh let's see, why don't you tell me more abouttt"
        "yourself i guess":
            jump aboutchloe
        "your gf!":
            jump chloegf
        "your RP group":
            jump rpgroup

label aboutchloe:
    q "yourself i guess"
    q smile "like, where u at girl?"
    q "netherworld?"
    c oh "oh, yes"
    $ afterlife = True
    play sound audio.choose
    menu:
        c smile "i've been living here since i became a ghost"
        "\"living\"":
            q coy "\"living\""
            q oops "lol sry idk if i'm being offensive rn"
            show screen reaction()
            $ comfort += 1
            c happy "oh it's ok! haha"
            c smile "i make jokes like that too"
            c shy "it's still hard to adjust to the afterlife"
            c "being able to laugh about it helps me cope i think"
            show chloe oh
        "cool":
            q oh "cool"
        "how'd you become a ghost":
            q oh "how'd you become a ghost"
            q oops "wait is it rude to ask that???"
            q "sry you don't have to answer"
            show screen reaction()
            $ comfort += 1
            c happy "it's ok!"
            c smile "i used to be a human, but i lost my body"
            c "then my soul ended up in the netherworld. so i started a new life here!"
    q smile "so u like it here?"
    q "you said you've been here like 4 years right"
    q think "im born nd raised here, but i guess that's obvious"
    c happy "haha yes, you being a succubus and all :)"
    q smile "u got it ;)"
    c smile "i do like it here!"
    c "actually, the netherweb isn't very different from the internet i was used to..."
    q oh "oh fr?"
    c "yes, but it might just be because i found communities similar to the sites i was on before"
    c "fandom is fandom, no matter where you go :)"
    q "huh, i wouldn't have guessed"
    $ review.append(_("Even though she wasn't used to speaking with ghosts, I never felt worried that she was going to say something insensitive."))
    jump part4

label chloegf:
    q happy "your gf!"
    q smile "what's she like? who confessed to whomst ;)"
    c shy "aaaaaa"
    c "it was kinda mutual"
    c smile "like... we were staying up late talking one night"
    c "we started this habit of like, after we got off our computers for the night we would get on the phone"
    c "so we could keep talking until we fell asleep"
    q aw "omfggggg"
    c um "so it was one of those nights, when we were like"
    c "\"oh, wouldn't it be nice if we could be in the same bed, like in person\""
    q lol "chloeeee"
    q "that's so fucking gay i love it"
    c happy "the rest of the group thought we were insufferable haha"
    c smile "i think they could tell way before we did, that we had a crush on each other"
    c "when we announced we were a couple, some of the members were like \"OMG FINALLY!!!\""
    q smile "damn girl that sounds so nice wtf"
    c happy "i really love her!"
    c moe "that's why... i'd like to be able to satisfy her"
    play sound audio.choose
    menu:
        c shame "i don't want her to feel held back by having a ghost for a partner"
        "ahh makes sense":
            q aw "ahh makes sense"
        "no way, she's lucky to have you":
            show screen reaction()
            $ comfort += 1
            show chloe shy
            q aw "no way, she's lucky to have you"
        "held back how???":
            q srs "held back how???"
            show chloe oh
            q "she's obviously fine with dating a ghost, like i'm sure if it was an issue she'd just say no"
            c shy "yeah... i'm probably just being self conscious. i want her to be happy!"
            q aw "you sound like you really love each other imo! seems like it wouldn't be a problem."
            show screen reaction()
            $ comfort += 1
            c happy "that's reassuring, thank you"
    q aw "hearing love stories like that always makes me fantasize about settling down lmao"
    $ loveydovey = True
    c oh "are you looking for a partner, Qmin? :o"
    q smile "nahh demons don't really do romance"
    q "i like being a free agent anyway. all pleasure all the time, bb"
    c smile "aaa well in any case i hope your partners treat you well!"
    q happy "thx ;)"
    $ review.append(_("She was supportive of my relationship, despite not being romantic herself :)"))
    jump part4

label rpgroup:
    q smile "your RP group"
    q oh "what is it? fandom thing?"
    c oh "aaa no, it's"
    c shy "well, it was a fandom thing at one point"
    c "but all the most active members of our group latched on to this sweet coffee shop AU"
    c smile "so they may as well be original characters at this point... but it's still fun!"
    q "oooh, coffee shop AU"
    q pout "yeah i don't know what that is"
    c "haha, have you ever read fanfiction?"
    $ fanfics = True
    q coy "sometimes, but only if it's porn"
    c happy "lol"
    c smile "then, have you read one where the setting is different from the source material?"
    play sound audio.choose
    menu:
        c "where all the characters live in the same place, like \"what if they were in college?\""
        "i dont think so":
            q think "i dont think so"
            q coy "guess i pay more attention to the sex part than the details of ht esetting"
            q ugh "the setting* omg can't type"
            show chloe um
        "oo come to think of it yeah":
            q think "oo come to think of it yeah"
            q smile "i read one once where i was like, \"wait didn't that guy die last season\""
            q coy "glad he's gettin fucked in the ass tho, good for him"
            show screen reaction()
            $ comfort += 1
            c lol "omg"
            show chloe smile
        "is it like ABO":
            q oh "is it like ABO"
            show screen badreaction()
            $ comfort -= 1
            c um "no..."
            c "that's very different"
            c woah "though i guess it also counts as an AU..."
            c sweat "anyway that's not what i'm talking about!"
            q pout "now i'm even more confused"
            c kyaa "sorry, let's just move on!"
            q "lol sure"
            show chloe nervous
            jump part4
    c "yes, well!!! one of the popular artists in the fandom draws this AU where one of the boys works at a coffee shop"
    c happy "thus, coffee shop AU"
    q oh "wait but what does AU stand for"
    c smile "alternate universe!"
    q "ohhhh"
    q "it's all coming together"
    q happy "now whenever i'm on the hunt for porn fics, if i see any AUs i'm gonna think of you lol"
    c shy "i thought you were the one who was supposed to teach ME things, haha"
    q coy "working on it, working on it~"
    $ review.append(_("She even asked about my hobbies, which was very thoughtful of her :)"))
    jump part4

label part4:
    $ wary = False
    show chloe oh
    q srs "omg ok so i found some things"
    if ghostdildo:
        q "sadly no ghost dildo"
        c kyaa "i told you they don't make those!"
        show chloe nervous
    q oh "how comfortable are you talking about kink shit"
    q "like obviously you're here for sex advice but i don't wanna overwhelm you"
    if comfort < 3:
        c sorry "umm idk..."
        c moe "sorry, i'm not used to talking about sexual things with someone i just met"
        c "unless we have a shared interest, like through fandom. but even then..."
        q oops "gotcha"
        q smile "well, we have plenty of time. what would you rather talk about first?"
        $ wary = True
        jump part5b
    else:
        c woah "oh it's ok"
        c "i'm here because i want to learn!"
        if fanfics:
            c sweat "and it's not like i haven't read my fair share of kink fics"
            q coy "hell yeah chloe"

    play sound audio.choose
    menu:
        q srs "k so do you know anything about"
        "talkin dirty":
            jump dirtytalk
        "spooky vibes":
            jump spookyvibes
        "possession kink":
            jump possession

label dirtytalk:
    show chloe nervous
    q "talkin dirty"
    c "...yes?"
    q think "o right you said u and ur gf's characters have sex"
    q coy "i guess rp is a form of dirty talk huh"
    show screen badreaction()
    $ comfort -= 1
    c sweat "is it?"
    q srs "well what's the point of rping sex if not to get each other off?"
    q "i think it counts"
    c moe "aaa it's more about the characters' pleasure for me i think"
    show qmin think
    c "like... sure that stuff can be arousing too, but"
    c "it's more about exploring the intimacy between them than something we do to... just get off"
    q oops "ahh, my bad"
    q "i worded that a little harshly"
    q pout "i guess i don't understand rp stuff very well, so i jumped to conclusions"
    c smile "that's ok!"
    show qmin stare
    c "it's the kind of hobby that i think a lot of \"regular\" people wouldn't understand"
    c shy "fanfiction is also often viewed as... solely erotic material"
    if fanfics:
        q "yeah i am def just readin the sexy ones"
    c happy "but there's more to it than that for me!"
    c oh "so... thank you for the suggestion, but"
    c "i don't think \"talking dirty\" is in the vein of what i'm looking for"
    c moe "i was actually hoping for ways to be intimate through something other than just words"
    q oops "that makes sense!"
    q "i brought it up cuz i thought it'd be a pretty safe option"
    c smile "aww, you don't have to hold back"
    q oh "like, if you can't touch each other directly, you can still have fun getting off together"
    c um "the thign is"
    c sweat "thing* aaa"
    c "we've already done stuff like that /// over the phone, a little"
    q smile "ohh hell yeah"
    q aw "but that's just over the phone"
    show chloe blush
    q "you can't see the action for yourself ;)"
    q "totally different in person."
    c um "...you're right!"
    c "i guess it would be pretty different ///"
    c sorry "but i think it'd be kinda sad too, cuz it'd... make me wanna touch her even more"
    c "and i just can't"
    q oops "fuckkk"
    q oh "alright, nvm"
    $ review.append(_("Her first suggestion was a bit of a miss, but..."))
    jump part5

label spookyvibes:
    show chloe nervous
    q "spooky vibes"
    c "???"
    q "{u}hell://nww.spookyvibes.cum{/u}"
    q smile "it's this sex toy company, they make vibrators ghosts can interact with"
    q "like, you couldn't use it on yourself but it reacts to ghost touch i guess?"
    q "idk how it works, i haven't tried em lol"
    c oh "ohh"
    c "my keyboard uses tech like that"
    q srs "WTF HEY YEAH"
    q "idk why i never thought to ask how a ghost can type"
    c smile "some of us just use speech to text!"
    c shy "but i prefer typing..."
    c happy "the keys react when a ghostly body passes through"
    q oh "woahhh touch keyboard for ghosts"
    q "that's so smart... damn"
    c moe "um, this link you sent"
    c "it says there's a bunch of different settings"
    c um "so depending on how close i am to it... it'd be more intense?"
    c sweat "does that really work???"
    q think "no idea, but"
    q smile "it has good reviews"
    q "hell, i'd buy it if i had a ghost partner"
    c woah "i'm"
    $ bookmarked = True
    show screen reaction()
    $ comfort += 1
    c um "bookmarking... this....."
    q coy "fuck yeah"
    q happy "hope it leads to good times if you decide to get it!"
    if not secondchance:
        $ review.append(_("She suggested an interesting toy for me to try with my girlfriend..."))
    else:
        $ review.append(_("After that, she sent me a link to something that seems like it'll work!"))
    jump part5

label possession:
    show chloe nervous
    q "possession kink"
    c oh "vaguely?"
    q oh "ok tell me what you know first so i don't overexplain"
    c um "ummm"
    show screen badreaction()
    $ comfort -= 1
    c sweat "well, i know people write stories about ghosts taking over their bodies and making them do things"
    c sorry "but... it kinda makes me uncomfortable"
    q pout "how so?"
    c shame "i guess i usually see it in the context of dubcon"
    c "like, \"ooh, an evil spirit is doing naughty things to you!\" type of writing"
    c sorry "it just makes me feel bad. i wish people would portray ghosts in a more friendly light!"
    play sound audio.choose
    menu:
        q oops "ugh i'm sorry chloe"
        "we can drop it":
            q "we can drop it"
            c sweat "thank you for trying!"
            $ kinktime = False
            show screen badreaction()
            $ comfort -= 1
            c moe "maybe i should do my own research..."
            jump part5
        "it's not all like that tho":
            q pout "it's not all like that tho"
            q "sorry, not to get too defensive here but like"
            q "some kinks get a bad rap when they're actually pretty neutral"
            c oh "oh, no, that makes sense"
            c kyaa "sorry, i'm not trying to be dismissive!"
            c moe "please tell me more, i'm listening"
        "can i explain a little more?":
            q aw "can i explain a little more?"
            q "like, i don't wanna push it, but i wanna try to expand ur mind a little"
            show screen reaction()
            $ comfort += 1
            c oh "i'm open to it!"
            c shy "i'd like to not feel bad when i come across things like this if possible, haha"

    q smile "so there's like, a totally not dubcon side to possession kink"
    q "it's more like, ultra consent"
    q aw "the most consent ever"
    c oh "really?"
    q "yes, because like"
    show chloe nervous
    q "your partner is giving up their body to you"
    q think "people are really into that, just completely giving up control to someone they trust"
    q "and you'd get to feel your partner's body yourself... through their own hands anyway"
    c blush "oh"
    q blush "does that makes sense"
    c "y"
    show screen reaction()
    $ comfort += 1
    c "yes ///"
    c um "i didn't know it could be like that"
    q pumped "RIGHT????????"
    c woah "it sounds really hot?????"
    q "IT DOES"
    q lol "sorry, i'm a total sub"
    play sound audio.choose
    menu:
        q "so this is like"
        "turning me on a bit omg":
            q blush "turning me on a bit omg"
            show screen reaction()
            $ comfort += 1
            c sweat "i'm glad it's not just me!!!!!"
        "nvm nvm nvm":
            q blush "nvm nvm nvm"
            c moe "nooo what were you gonna say!!!"
            q pumped "it's not appropriate!!!!!! i can't talk about my kinks here"
            q "or whether new ones have unlocked"
            show screen reaction()
            $ comfort += 1
            c lol "omg qmin!!!"
        "I WANNA GET FUCKED BY A GHOST":
            q blush "I WANNA GET FUCKED BY A GHOST NOW LMAO"
            show screen reaction()
            $ comfort += 1
            c lol "and i want to try this with my girlfriend!!! aaaaaaaaaaaa"

    q lol "anyway!!!!!!!!!!!"
    show chloe nervous
    q aw "i found all this info through a quick boogle search"
    q "so i'm sure you can explore on your own from here"
    $ newkink = True
    c smile "thank you, Qmin"
    c "i wouldn't have given this stuff a second thought if you hadn't explained it like that!"
    c shy "it was really helpful... "
    q happy "glad to be of service!"
    if not secondchance:
        $ review.append(_("I was pretty surprised by what she suggested at first..."))
    else:
        $ review.append(_("I'm pretty excited to look into what she explained for me after that!"))
    jump part5

label part5:
    if secondchance:
        jump normalend

    c kyaa "aaaa i just realized it's already been an hour!"
    if comfort > 7:
        c smile "i feel like you helped me so much in so little time..."
        q smile "hey, this session has been great"
        q "if you're satisfied we can totally refund the rest of the time"
        c shy "aww, but i don't wanna stop chatting with you!"
        c smile "like, what else can i learn? i'd regret it if i left too soon."
        q aw "aww chloe u sweetheart ;)"
        q happy "i will gladly accept more of ur money if you wanna keep chatting lol"
        c "please take it! i want to show my gratitude :)"
    else:
        c sorry "i feel like... i'm still a bit lost as to what i should do"
        q pout "aww, sry girl"
        show chloe nervous
        q "i wish i knew more about ghosts"
        q "i'm at a disadvantage here, my advice is limited to shit i've experienced or at least read about"
        c moe "aaa it's ok, i know i must be a unique customer"
        q srs "i don't wanna give up on u tho"
        q "i might get other ghost clients in the future, so this is a great learning experience"
        c oh "that's true"
        q oops "ugh sry, that's probably not something you wanna hear from the person who's supposed to be helping you out"
        c smile "you're trying your best!"
        if comfort > 4:
            c "actually, you're very easy to talk to"
            c happy "it's a huge help just getting to discuss these sorts of things without feeling creepy!"

    q smile "let's chat more then"
    q think "i'm fresh out of good topics tho..."

label part5b:
    c oh "umm hm."
    c "what have you been up to? aside from our chat"
    c smile "i have an idle game open in another tab, haha"

    play sound audio.choose
    menu:
        q oh "oh i'm just"
        "listening to music":
            q smile "listening to music"
            q "havin a chill evening"
            c oh "ooh, what type of music?"
            $ wary = False
            $ songnumber = get_songnumber()
            $ songname = songnames[songnumber]
            $ artistname = artistnames[songnumber]
            if songnumber>4:
                q think "something from a game"
                q "idk, downloaded it randomly lol"
            else:
                q "rn it's [songname!t] by [artistname!t]"
                c "ooh never heard of it :o"
                q happy "i like them! i usually listen to stuff like this while i work"
            c happy "cool!"

        "looking up more resources":
            q srs "looking up more resources"
            q "i wanna help you out, chloe!!!"
            show screen reaction()
            $ comfort += 1
            $ wary = False
            c happy "you're so kind!"
            q aw "wellll it IS my job"
            q coy "i won't slack off! for the sake of ur sex life"
            c shy "omg"

        "jackin off lol":
            q coy "jackin off lol"
            if wary:
                jump signoffend
            c shy "omg"
            q smile "jk of course"
            q "how could i type otherwise"
            if newkink:
                c happy "you're still thinking about getting possessed..."
                q pumped "OMG NO"
                q "I'M NOT"
                c lol "i can't believe we both got a new kink"
                q lol "you ruined my night chloe"
                q "help!! a ghost cursed my dick!!!!"
                c "i did no such thing!!!"
            elif ghostdildo:
                c happy "couldn't stop thinking about those ghost dildos, i see"
                q coy "i choose to believe they exist"
                c lol "i don't know how they would!!!"
                q blush "if someone died with a dildo in em would their ghost keep the dildo"
                c blush "OMG"
                q lol "that's how you can get one"
                q "chloe we gotta kill a guy"
                c lol "don't drag me into this!!!"
                q coy "i gotta get u a ghost dildo gal, there's no other way"
            c sweat "aaaa there's something else i wanted to ask, though"

label part6:
    c oh "could you... tell me more about your job, actually?"
    c "i'm so curious how you got into this line of work"
    q oh "sure, i'll tell you"
    q coy "but that has nothing to do with your sex life, does it~ ;)"
    c shy "i know..."
    q "you're using up your valuable time here, chloe"
    c happy "i'm not in a rush ^^"
    play sound audio.choose
    menu:
        q aw "ur sweet"
        "i just like talkin about sex lol":
            jump qminjob
        "it's nothin special":
            q smile "it's nothin special"
            q "saw an ad they were hiring succubi, so i applied. been doin this for a year or so now."
            q think "i like chatting with ppl, and i like getting paid. so here i am!"
            q aw "don't waste any more time asking about my life, ok?"
            c shy "haha, ok fair enough :)"
            c "i didn't mean to pry"
            jump part7
        "i'm a cautionary tale":
            jump badjob

label qminjob:
    q happy "i just like talkin about sex lol"
    q smile "so this type of work is perfect for me"
    c oh "\"sex advice succubus\"... do they only hire succubi?"
    q "yeah, cuz we have a vested interest"
    c nervous "???"
    q think "oh yeah you were a human before huh"
    q smile "what do u know about succubi? ;)"
    c oh "umm, i had only ever seen them portrayed as sexy demon ladies"
    c "similar to vampires i guess?"
    c moe "preying on human men and whatnot... but that's not true, is it?"
    q lol "haha yeah"
    q "that's the popular belief, that we're here to steal ur cum"
    show chloe oh
    q smile "idk, we DO get energized by sexual stuff, but"
    q "there are asexual succubi too. we're not all sex maniacs."
    show screen reaction()
    $ comfort +=1
    c "oh! of course"
    c smile "i didn't think you were a sex maniac, Qmin :)"
    q aw "lol thx"
    q "but yeah, that's what i mean when i say there's a vested interest"
    q "the more people who have a happy, healthy sex life, the more us succubi and incubi will thrive"
    q coy "getting paid to talk about sex fuckin rules"
    c happy "it's nice that your work is so fulfilling!"
    c shy "i wish i had the courage to try to make it as a writer"
    q think "a ghost writer..."
    q coy "hey, isn't that a real job"
    c happy "haha i get that a lot"
    c shy "maybe i'll write a book one day..."
    q smile "hell yeah, i'd buy a copy"
    c smile "but if i decide to be a ghost writer, you wouldn't know it was me who wrote it!"
    q srs "shit that's right"
    q "dmail me the title when it's out"
    c happy "will do!"
    show chloe smile
    jump part7

label badjob:
    show chloe oh
    q pout "i'm a cautionary tale"
    q "when ur an idiot pervert like me, this is the only kind of job you can get in the netherworld lol"
    c moe "...really?"
    c "i'm sure that's not true"
    c "i don't think you're an idiot"
    q coy "but you do think i'm a pervert? ;)"
    c sweat "not in a bad way!"
    c "i don't think having an interest in sex is anything to be ashamed of"
    q srs "i'm not ashamed"
    q "this job is fun but uhh"
    q stare "idk it doesn't matter lol"
    show screen badreaction()
    $ comfort -= 1
    c moe "nooo what were you gonna say?"
    c "please don't talk down on yourself like that"
    c "...Qmin?"
    c sorry "i'm sorry, i shouldn't have pried ;_;"
    c "i didn't realize it was a sore spot for you"
    q think "it's fine"
    q pout "just tryin to think of what to say"
    c moe "it's ok, forget i brought it up!"
    q srs "nah i'm being a bummer so i wanna try nd explain"
    q "i guess i just get treated like shit sometimes. not by you, you're great."
    q pout "i love my job but there's all sorts of garbage that comes with it. stalkers, trolls, etc."
    q "if i had other skills i could dodge all that shit. and not rely on this job to pay my friggin rent."
    q ugh "alas, capitalism. rip me i guess."
    c shame ";_;"
    q srs "sry to bring the mood down, this is why i was tryin to avoid the subject"
    c kyaa "i'm sorry too!!!"
    c moe "i hope you can get normal clients from now on"
    q smile "so far so good tonight ;)"
    c shy "do i count as normal? haha"
    q "no you're like way sweeter than the normal ones"
    q happy "top rank sweetheart imo!!"
    c smile "aww yay ^^"
    jump part7

label part7:
    q smile "anyway, what are YOU up to"
    q "any more questions for me? time's gonna run out, girl"

    if newkink:
        jump kinkend

    if bookmarked:
        jump vibeend

    c kyaa "aaaa"
    c sweat "is there anything else you found? from researching..."
    c shame "sorry, i don't know how to look these things up on my own without getting all anxious"
    c "i just don't know what's safe to click on"
    $ secondchance = True
    q coy "dw, i got u covered"
    show chloe nervous
    play sound audio.choose
    menu:
        q srs "have u ever heard of"
        "spooky vibes":
            jump spookyvibes
        "possession kink" if kinktime:
            jump possession
        "...yknow what, nvm":
            jump gfend

label gfend:
    q think "...yknow what, nvm"
    q oh "i just realized we're forgetting something mega obvious"
    c oh "???"
    q smile "what's your gf into??? do you know?????"
    c um "oh gosh"
    c "i don't think i should share that without asking first!"
    q aw "you don't need to say lol"
    q "but maybe you don't need to go into this visit overly prepared"
    q happy "why not just let things happen"
    c moe "...but what if i can't do what she wants?"
    c "that's the whole reason i wanted to have some kind of backup plan... ;_;"
    q smile "you worry too much"
    q "it's good to be spontaneous"
    q think "this is your VERY FIRST in-person visit, right?"
    c nervous "yes"
    q aw "then i don't think either of you should have all the answers"
    q "sex is a journey!"
    q smile "you don't have to get it right on the first try"
    q "girl ur gonna have a great time no matter what"
    q coy "u fuckin lovebirds"
    show screen reaction()
    $ comfort +=1
    c shy "gosh"
    c "maybe you're right..."
    c sweat "i feel so silly haha"
    q aw "if i know anything from experience"
    q "your first time is gonna be awkward as hell"
    q "but as long as you communicate and shit, that won't matter"
    q lol "tbh feeling ridiculous is part of the fun lol"
    c um "aaaaaa"
    c "thanks, Qmin..."
    show qmin happy
    c happy "i think i really needed to hear that!"
    q smile "our 2 hours are almost up"
    q "u got anything else for me?"
    c smile "no, i'm satisfied!"
    c "i'm... gonna go call my girlfriend!!!!!"
    c shy "maybe she's been worrying as much as i have"
    c um "i should communicate with her, like you said"
    c "even if it's really really embarrassing"
    q "communicate BECAUSE it's embarrassing"
    q coy "remember ur in the same boat"
    q "of wanting to fuck each other lmao"
    c kyaa "aaaaaaaaaaaa"
    q lol "good luck, chloe!!!!!"
    c happy "thank you!!!!!! have a good night~"
    $ ending = _("Girlfriend Ending")
    $ persistent.gfend = True
    $ review.append(_("In the end, she reminded me that I should just ask what my partner wants rather than trying to prepare for everything on my own..."))
    $ review.append(_("Gosh, that seems so obvious now!"))
    show qmin smile
    hide chloe

    jump theend

label signoffend:
    show screen badreaction()
    $ comfort = 0
    c sweat "Qmin..."
    c "what did i just say ;_;"
    q oops "i was jokingggg"
    q "sry that wasn't very obvious huh... my bad, didn't mean to make you uncomfortable"
    c moe "that's ok... we're coming up on the hour anyway"
    c "i didn't know what this would be like, and i'm glad i tried it! but..."
    c "i think it's a little too overwhelming for me. so i'm going to try searching for things at my own pace instead!"
    q pout "yeah good call"
    q "well hey, good luck out there!"
    q "sorry that i couldn't help much!!"
    c shy "thank you for trying!"
    c "have a good night~"
    q oops "you too! ;)"
    $ ending = _("Uncomfortable Ending")
    $ persistent.badend = True
    $ review.append(_("Unfortunately, I ended up getting too overwhelmed by her overtly sexual humor and had to leave early."))
    hide chloe
    show qmin stare

    jump theend

label normalend:
    c oh "aww, the time's almost up..."
    q think "yeah, that went by fast"
    q smile "how u feelin chloe"
    if newkink or bookmarked:
        c shy "i'm... optimistic! i think"
        c "i have some new things to look into on my own!"
        c happy "that's a huge win in my book."
        $ review.append(_("I'm still a little uneasy, but we'll see how things turn out."))
    else:
        c moe "idk..."
        c "it's not your fault, i think i'm a very difficult customer"
        q think "yeahhh i mean your needs are pretty specific, but still"
        $ review.append(_("I think I'm probably just a difficult case. It's not her fault."))
    q pout "i feel like i could've helped you more..."
    c smile "you DID help!"
    if comfort < 4:
        c sweat "or... at least you tried"
        c "it's okay"
        q oops "you don't have to comfort me!!!"
        q "i can tell this session wasn't too great"
        c smile "maybe this service just isn't for me"
        c "but i don't regret trying it, or meeting you"
    c happy "thanks for talking to me tonight, Qmin!"
    q aw "good luck with your sex life, chloe!!!"
    q "i know you and your gf will figure it out"
    q "you don't need my help with that :)"
    c shy "i appreciate it!"
    c smile "i'm going to sign off now~"
    c happy "have a good night! thanks again!"
    $ ending = _("Normal Ending")
    $ persistent.normalend = True
    show qmin happy
    hide chloe
    jump theend

label vibeend:
    c shy "i am... contemplating"
    q oh "ooh contemplating what"
    c um "the link you sent earlier"
    play sound audio.choose
    menu:
        q coy "gasp"
        "what link? ;o":
            q "what link? ;o"
            show screen badreaction()
            $ comfort -=1
            c kyaa "you know the one!!!"
            q happy "did i link you something~? let me pull up my browser history"
            c sweat "the \"spooky vibe\""
            c "gosh"
            q coy "ohhh THAT link"
            q "hehe ;)"
        "anything holding you back?":
            q oh "anything holding you back?"
            c shame "well..."
        "get that vibe, girl":
            q lol "get that vibe, girl"
            q "get it get it get it"
            c kyaa "i'm contemplating!!!!"
            show qmin aw
    c sorry "i don't know whether my girlfriend even uses things like this"
    c "or if she would be interested in me using it with her"
    c moe "i've never used one myself"
    c "but i know they're supposed to feel good..."
    q smile "yeah, they rule"
    q "i love my vibrator lol"
    if ghostdildo:
        q blush "wait if you never used one, does that mean you'll never get to???"
        q "if there's no ghost dildos please tell me there's at least ghost vibrators!!!!!!!!"
        c happy "i'm fine without it!"
        q pumped "omg thank fuck i'm not a ghost"
        q "no offense!"
        q "i need my vibrator!!! lmao"
        c shy "omg haha"
        show qmin smile
    c sweat "i'll... definitely ask before buying this"
    c "it would be pretty awkward if she got here and i just... whipped it out."
    q coy "if it was me i'd be fuckin ecstatic"
    q aw "but yeah probably safer to talk to her first, you know ur gf better than i do"
    c um "there's no way i could do something so bold, especially for our first in-person visit!"
    c smile "but... it's nice knowing that there's an option for us."
    show screen reaction()
    $ comfort +=1
    c happy "that alone makes me feel a lot better. so thank you for sending this to me!"
    q happy "hell yeah, glad i could help!"
    q oh "need any tips on how to use it? or do u wanna talk to ur gf first"
    c woah "aaa thank you, i'll just talk to her first"
    c "i'm sure if she wants to try it, or... if she already uses one, she can tell me how to do it"
    q smile "gotcha"
    c shy "thank you, Qmin... ;_;"
    q happy "yw!!"
    q smile "man 2 hours goes by fast huh"
    c sweat "yeah haha, how did that happen"
    q "how u feelin. gain some confidence?"
    c um "i still don't know what i'm doing! but yes!!!"
    c smile "i'm less anxious about it now"
    q coy "make her cum a billion times ok ;o"
    c kyaa "OMG"
    q lol "lesbians know what's up"
    q "you'll do great"
    c blush "i'll try my best ;_;"
    q aw "if u need any more sex advice u kno who to call ;o"
    c smile "thanks for your guidance!"
    c shy "i think i'll message my girlfriend tonight"
    c "and see... what she thinks......"
    q coy "GOOD LUCK"
    q "VIBRATORS RULE"
    c lol "ok there's only 2 minutes left, i better go before it kicks me!"
    q lol "BYE GIRL!!!!!!"
    q "HAVE A GREAT SEX LIFE!!!!!!!!"
    c happy "goodnight~! ^^"
    $ review.append(_("So now I feel a lot less anxious about our upcoming visit!"))
    $ ending = _("Good Vibes Ending")
    $ persistent.vibeend = True
    hide chloe
    show qmin smile

    jump theend

label kinkend:
    c shy "i've been ummm"
    c "looking up more stuff"
    c "about possession ///"
    play sound audio.choose
    menu:
        q blush "omg chloe"
        "what are you finding":
            q "what are you finding"
        "are u lookn at porn rn":
            q coy "are u lookn at porn rn"
            c lol "no!!!"
            c "just reading haha"
            q "readin porn right in front of me..."
            c kyaa "not reading porn!!!"
        "i've awakened something in u":
            q coy "i've awakened something in u"
            c um "yes, i'm completely blaming you for this haha"

    c oh "i just wanted to know more about how to actually... do it?"
    c "i've never possessed anyone or anything before"
    c moe "because it always felt like something that was wrong"
    q stare "ahh"
    c "i'm not a very assertive person"
    c shame "so the idea of taking control over someone seems very"
    c "idk, scary"
    c sweat "like i wouldn't want to mess up and do something they didn't like"
    c moe "i'd feel so selfish! i don't want my partner to hate me"
    q aw "yeah, struggles of bein a dom"
    c "i've never thought about any of this before"
    c "even putting possession aside, it must be so vulnerable, topping someone"
    q smile "sex is vulnerable for everyone involved"
    c smile "that's true"
    c um "even just talking about this with you right now"
    c "im like, aaaaaaa"
    c happy "but if you like the idea of it too, i don't feel as weird about wanting to try it!"
    q aw "good! you're not weird"
    c um "i really want to know what my girlfriend would think"
    show qmin oh
    c woah "apparently... full body possession is something you have to work up to over time"
    c "so we would have to practice a lot"
    c blush "with just a hand"
    c "or fingers"
    q blush "..."
    q pumped "ngl that sounds insanely hot"
    q "where can i find a ghost gf!!!!!! fuck!!!!!!!!!!!!"
    c lol "hahahhahahha"
    c happy "thank you, Qmin"
    c "i didn't think i'd be able to touch my girlfriend, but you showed me the way!!!"
    q lol "I'M LEGIT SO JEALOUS"
    q "GLAD I COULD HELP BUT ALSO FUCK U"
    q aw "HAVE A HAPPY SEX LIFE, I SUPPORT U SO MUCH GIRL XOXOXO"
    c lol "thank you!!!!!!"
    c smile "on that note, i'm going to sign off now so i can call and talk to her about it!"
    q "GOOD LUCK!!! U BITCH ;_;"
    q lol "SEND ANY OF UR HOT GHOST PALS MY WAY"
    c happy "hahahahahhaha"
    q happy "srsly tho, book me again if you need any more advice!"
    c smile "i will!"
    $ review.append(_("but the way she explained it really opened my eyes. I discovered something new about myself thanks to her!"))
    $ ending = _("Kinkster Ending")
    $ persistent.kinkend = True
    hide chloe

label theend:
    if comfort > 10:
        $ comfort = 10
    if comfort==10:
        $ review.append(_("I'm incredibly grateful to Qmin! I wish her all the best~"))
    elif comfort>7:
        $ review.append(_("I'm grateful to Qmin! I highly recommend her services ^^"))
    elif comfort>3:
        $ review.append(_("I'm glad I tried this service! Thumbs up from me :)"))
    elif comfort>0:
        $ review.append(_("Things got a little awkward in the chat at times, but ultimately I learned a lot!"))
    else:
        $ review.append(_("I don't think this type of service was for me... sorry ;_;"))
    show bgcover ghost at right with dissolve
    "Chloe has left the chat."

    $ quick_menu = False
    $ persistent.clear = True

    hide screen reaction
    hide screen badreaction
    hide screen comfortlevel

    call screen result(ending)
    call screen credits()
    call screen retry()
    hide screen mediaplayer
    stop music fadeout 1.0
    scene black with fade
    return

label retry:
    nvl clear
    $ ending = None
    $ review = []
    show qmin stare at left
    with fade
    $ quick_menu = True
    jump part1

label resetdata:
    $ persistent._clear()
    return
